<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{rotationplansegments.add}">Weiterbildungsstation hinzufügem</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>
	<main>
	<form method="post" data-th-action="@{/training/rotationplans/{id}/rotationplansegments/filter(id=${rotationPlanSegment.rotationPlan.id})}" data-th-object="${trainingPositionFieldFilter}">
		<fieldset>
			<legend>Daten der geplanten Weiterbildungsstation festlegen</legend>

			<th:block data-th-replace="fragments/filter::selectWithoutNull(field='medicalField', options=${medicalFields})" />
			<th:block data-th-replace="fragments/filter::date(field='availableFrom', name='begin')" />
			<th:block data-th-replace="fragments/filter::date(field='availableUntil', name='end')" />
			<th:block data-th-replace="fragments/filter::number(field='fullTimeEquivalent', min=1, max=100)" />

			<th:block data-th-if="${#fields.hasErrors('global')}" data-th-insert="fragments/forms::globalErrors" />
		</fieldset>

		<fieldset>
			<legend>Weitere Filter</legend>
			<th:block data-th-include="fragments/filter::selectWithNull(field='authorisedDoctor', options=${authorisedDoctors}, optionName='fullName')" />
			<th:block data-th-include="fragments/filter::selectWithNull(field='trainingSite', options=${trainingSites})" />
			<th:block data-th-include="fragments/filter::selectMultipleWithNull(field='regions', options=${regions})" />
		</fieldset>

		<p data-th-replace="fragments/snippets::filterButton" />
	</form>

	<form method="post" data-th-object="${rotationPlanSegment}" data-th-action="@{/training/rotationplans/{rotationPlanId}/rotationplansegments/add(rotationPlanId=${rotationPlanSegment.rotationPlan.id})}">
		<th:block data-th-if="${#fields.hasErrors('global')}" data-th-insert="fragments/forms::globalErrors" />
		<input type="hidden" data-th-field="*{rotationPlan.id}" /> <input type="hidden" data-th-field="*{segmentBegin}" /> <input type="hidden" data-th-field="*{segmentEnd}" /> <input type="hidden" data-th-field="*{fullTimeEquivalent}" />

		<table class="datatable">
			<caption>Verfügbare Weiterbildungsstellen</caption>
			<thead>
				<tr>
					<th data-th-text="#{trainingpositions.trainingsite}">Weiterbildungsstätte</th>
					<th data-th-text="#{trainingpositions.authoriseddoctor}">Weiterbildungsbefugter</th>
					<th data-th-text="#{trainingpositions.medicalfield}">Medizinisches Fachgebiet</th>
					<th data-th-text="#{trainingpositions.treatmenttype}">Behandlungsart</th>
					<th data-th-text="#{trainingpositions.capacity}">Maximale Kapazität</th>
					<th data-th-text="#{trainingpositions.availablefrom}">Verfügbar von</th>
					<th data-th-text="#{trainingpositions.availableuntil}">Verfügbar bis</th>
					<th data-th-text="#{trainingpositions.available}">Verfügbarkeit</th>
					<th />
				</tr>
			</thead>
			<tbody>
				<tr data-th-each="trainingPosition: ${trainingPositions}" data-th-class="${trainingPosition.availability}">
					<td data-th-if="${trainingPosition.authorisation.trainingSite.trainingSiteType.parentType}" data-th-text="${trainingPosition.authorisation.trainingSite.name}">Weiterbildungsstätte</td>
					<td data-th-unless="${trainingPosition.authorisation.trainingSite.trainingSiteType.parentType}"><span data-th-text="${trainingPosition.authorisation.trainingSite.clinic.name}"></span> (<span data-th-text="${trainingPosition.authorisation.trainingSite.name}"></span>)</td>
					<td data-th-text="${trainingPosition.authorisation.authorisedDoctor.fullName}">Weiterbildungsbefugter</td>
					<td data-th-text="${trainingPosition.authorisation.trainingSite.medicalField.name}">Fachgebiet</td>
					<td data-th-text="#{${trainingPosition.authorisation.trainingSite.treatmentType}}">Behandlungsart</td>
					<td data-th-text="${trainingPosition.capacity}">Kapazität</td>
					<td data-th-text="${trainingPosition.availableFrom}">Verfügbar von</td>
					<td data-th-text="${trainingPosition.availableUntil}">Verfügbar bis</td>
					<td data-th-text="#{trainingpositions.availability.__${trainingPosition.availability}__}">Verfügbarkeitsstatus</td>
					<td data-th-if="${trainingPosition.availability == T(org.infai.ddls.medicaltrainingv2.model.training.TrainingPositionAvailability).AVAILABLE || trainingPosition.availability == T(org.infai.ddls.medicaltrainingv2.model.training.TrainingPositionAvailability).OVERLAPPING}">
						<button name="trainingPosition.id" data-th-value="${trainingPosition.id}">auswählen</button>
					</td>
					<td data-th-unless="${trainingPosition.availability == T(org.infai.ddls.medicaltrainingv2.model.training.TrainingPositionAvailability).AVAILABLE || trainingPosition.availability == T(org.infai.ddls.medicaltrainingv2.model.training.TrainingPositionAvailability).OVERLAPPING}"></td>
				</tr>
			</tbody>
		</table>
	</form>
	</main>
</body>
</html>